Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#1488 Icon disappears after few screenshots from the task bar

1.0.6
closed
nobody
none
5
2013-05-16
2013-04-04
rovo13
No

We use Citrix terminal server (w2k3) and have the issue only in published application mode. (Published desktop works)

The thing is that the Greenshot icon in the taskbar disappears after few screenshots from the task bar.
With Greenshot 1.0.6.2228 an user can't close the greenshot into the citrix connection center menu. The application is running but a user can not make more screenshots because the icon is missing and it issnt possible to start the program again because it is running in the background.
Only with Windows Taskmanager he can killing the application and restart it again.

With Greenshot 1.1.1.2550-RC1 it is more stable but the icon in the taskbar will also be lost after few printscreens.
The difference is that it is possible at citrix connection center to close the app and restart it again. The user doesn't need the taskmanager to kill the process.

What chan I do to solve this crazy bug?

Related

Bugs: #1488
Discussion: Missing Tray icon

Discussion

  • Robin Krom
    Robin Krom
    2013-04-04

    Aggree, this sounds like a crazy bug!

    The problem is that we are 3 persons who develop software in their free time, for free... we don't have a server-park and all applications that might be influencing Greenshot... I have no way of testing Greenshot on Citrix, nor know how Citrix works (in Detail).

    Actually I am surprised that there is a behavioral change ("more stable") between 1.0.6 and 1.1.1, as I can't recall any changes that might have influence on the system tray.

    Still, for me it sounds like you have a citrix issue and maybe this information helps:
    http://support.citrix.com/article/CTX102308

    Especially this part:

    30.
    If an ICA seamless session was disconnected, reconnecting to the session did not restore the system tray icon created by seamless applications in that session.
    This occurred because the seamless system tray agent did not notify the ICA Client of the need to recreate the tray icons when the session was reconnected.
    This hotfix introduces a function that refreshes the tray icons when seamless sessions are reconnected. System tray icons are restored when reconnecting to an ICA seamless session.
    [From Hotfix XE102W064][44697]
    

    Other than this, I wouldn't know how to help...
    And although I really think this is not a Greenshot issue itself, I am curious about the outcome! Let me know if this helped or not!

    Best wishes,
    Robin

     
  • Robin Krom
    Robin Krom
    2013-04-09

    Hi rovo13,
    did you read my comment? If the link to the hotfix doesn't help you, you might want to contact Citrix-support for this issue. As the hotfix describes a generall issue, I don't expect we do something wrong.

    Greenshot draws the icon once and windows makes sure it stays, if Greenshot is hosted remotely by an application like Citrix than this application needs to make sure this works.
    If this is not possiblem the people of Citrix need to give us some hints how we can improve here, but there is no way we can find this out ourselves as we don't have the money to install Citrix and test what is the issue here! (Free software means no resources for such things)

    Best wishes,
    Robin

     
  • rovo13
    rovo13
    2013-04-09

    Hi Robin

    I think it isn't a Citrix issue. I read the kb this doesn't solve it
    because it is a old article.
    Is it possible that Greenshot isn't multi user compatible?

    I saw following things:

    My questions:
    Why have this user so many Notification Icon's?
    Is it because other users have at the same time the application started?

    When I did kill Greenshot.exe on the Server (started from many users) the
    Error "An inscance of Greenshot is already running." switches.
    I mean that the first 1: (Blank) entry goes to the 4:

    I think Greenshot can't be run serveral times on the same (Terminal)
    Server or not?

    Could you please make the app multi user fit?

    Kind Regards

    Roger

     
  • Robin Krom
    Robin Krom
    2013-04-09

    Hi Roger,

    for me the article was just a point that it might not be Greenshot having an issue. But you are saying you have the latest Citrix with all hotfixes applied?

    I don't see the image you attached... but if someone has multiple tray icons they might have an issue that the application wasn't closed propery (killed) and Greenshot didn't remove/cleanup the icon as the exit code wasn't called. This is a known "windows" issue with tray-icons, if you move the mouse over them they usually disappear. (Although I don't know how Citrix handles this). Please let me know if those icons still work, if so we have a different issue.

    Some background information:
    Greenshot is written to allow multiple users to use it at the same time, it is however "locked" to the Window session (by a "local-Mutex, see here). It can only be started once for a single windows session, preventing that a single user has multiple Greenshot instances (this is also needed to allow someone to open a file from the explorer context menu). But if different users are at the same PC, they can both start Greenshot without a problem, the instances don't see or communicate with each other.

    I am assuming that Citrix works in a way much like Microsoft Terminal Services, it would be really weird if not as they would have major issues with other application, and this should garantee that Greenshot works fine... Unless there might be some way to misconfigure Citrix, but as I pointed out before I really am not a citrix expert.

    Do the users have other applications which are used as published applications that have a tray-icon, and if so do they work without issues? Is there some way of monitoring if the connection to Citrix is lost? Did you open an ticket with Citrix support?

    Out of curiosity, can you tell us why you are using Greenshot via Citrix?

    Best wishes,
    Robin

     
  • rovo13
    rovo13
    2013-05-01

    Hi Robin

    How are you?

    I have good news for you.
    After I delete the terminalserver userprofile it does work.

    You can close this ticket.

    Could you please send me the information how a user can dynamicaly add /
    remove the new "telescopic"

    Best Regards

    Roger

    Von: "Robin Krom" apex75@users.sf.net
    An: "[greenshot:bugs] " 1488@bugs.greenshot.p.re.sf.net
    Datum: 09.04.2013 12:15
    Betreff: [greenshot:bugs] #1488 Icon disappears after few
    screenshots from the task bar

    Hi Roger,
    for me the article was just a point that it might not be Greenshot having
    an issue. But you are saying you have the latest Citrix with all hotfixes
    applied?
    I don't see the image you attached... but if someone has multiple tray
    icons they might have an issue that the application wasn't closed propery
    (killed) and Greenshot didn't remove/cleanup the icon as the exit code
    wasn't called. This is a known "windows" issue with tray-icons, if you
    move the mouse over them they usually disappear. (Although I don't know
    how Citrix handles this). Please let me know if those icons still work, if

    so we have a different issue.
    Some background information:
    Greenshot is written to allow multiple users to use it at the same time,
    it is however "locked" to the Window session (by a "local-Mutex, see here
    ). It can only be started once for a single windows session, preventing
    that a single user has multiple Greenshot instances (this is also needed
    to allow someone to open a file from the explorer context menu). But if
    different users are at the same PC, they can both start Greenshot without
    a problem, the instances don't see or communicate with each other.
    I am assuming that Citrix works in a way much like Microsoft Terminal
    Services, it would be really weird if not as they would have major issues
    with other application, and this should garantee that Greenshot works
    fine... Unless there might be some way to misconfigure Citrix, but as I
    pointed out before I really am not a citrix expert.
    Do the users have other applications which are used as published
    applications that have a tray-icon, and if so do they work without issues?

    Is there some way of monitoring if the connection to Citrix is lost? Did
    you open an ticket with Citrix support?
    Out of curiosity, can you tell us why you are using Greenshot via Citrix?
    Best wishes,
    Robin

    [bugs:#1488] Icon disappears after few screenshots from the task bar
    Status: open
    Labels: Icon missing after few printscreens
    Created: Thu Apr 04, 2013 12:39 PM UTC by rovo13
    Last Updated: Tue Apr 09, 2013 07:42 AM UTC
    Owner: nobody
    We use Citrix terminal server (w2k3) and have the issue only in published
    application mode. (Published desktop works)
    The thing is that the Greenshot icon in the taskbar disappears after few
    screenshots from the task bar.
    With Greenshot 1.0.6.2228 an user can't close the greenshot into the
    citrix connection center menu. The application is running but a user can
    not make more screenshots because the icon is missing and it issnt
    possible to start the program again because it is running in the
    background.
    Only with Windows Taskmanager he can killing the application and restart
    it again.
    With Greenshot 1.1.1.2550-RC1 it is more stable but the icon in the
    taskbar will also be lost after few printscreens.
    The difference is that it is possible at citrix connection center to close

    the app and restart it again. The user doesn't need the taskmanager to
    kill the process.
    What chan I do to solve this crazy bug?

    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/greenshot/bugs/1488/
    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

     

    Related

    Bugs: #1488

  • Robin Krom
    Robin Krom
    2013-05-01

    Hi Roger,

    To disable & enable the zoom you can press the z key, since RC3 you can enable/disable it in the settings.

    Good to hear you solved the problem, sorry I couldn't help with that.

    Beet wishes,
    Robin

     
  • Robin Krom
    Robin Krom
    2013-05-01

    • status: open --> closed
     
  • rovo13
    rovo13
    2013-05-16

    Hi Robin

    How are you?

    I have a shot question. When I use Greenshot and make a Printscreen I
    became a black screen with the "Zoom"
    I must wish over the desktop to become the needed information.

    What do I makeing wrong?

    Kind Regards
    Roger

     
  • Robin Krom
    Robin Krom
    2013-05-16

    Hi Roger,

    what are you trying to capture? This might be an issue with Citrix, if Greenshot runs on the Server there is no "screen" to capture...

    For us it's really hard to help with Citrix issues, we don't have the possibility to test or reproduce issues. :(

    Best wishes,
    Robin